当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : freewins求助~
帖子发表于 : 2008-08-30 23:26 
头像

注册: 2008-04-05 18:27
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
piqi@piqi-desktop:~/freewins$ make clean
Makefile:58: *** [ERROR] No package 'cairo-xlib' found。 停止。
piqi@piqi-desktop:~/freewins$ make
Makefile:58: *** [ERROR] No package 'cairo-xlib' found。 停止。
piqi@piqi-desktop:~/freewins$ sudo make
Makefile:58: *** [ERROR] No package 'cairo-xlib' found。 停止。
piqi@piqi-desktop:~/freewins$


怎么也编译不了~~~到底还差什么,谢谢

附一个刚下载的FREEWINS


附件:
文件注释: 刚从http://gitweb.compiz-fusion.org下载的~
freewins-a7e1675b048799abdd9ea1f6ff8b8c14b3b8df43.tar.gz [36.11 KiB]
被下载 63 次
页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-08-31 7:45 
头像

注册: 2008-06-22 9:47
帖子: 36
地址: 上海
送出感谢: 0 次
接收感谢: 0 次
cairo-xlib


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-08-31 15:39 
头像

注册: 2008-04-05 18:27
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
终于知道少什么了,

引用:
piqi@piqi-desktop:~/freewins$ sudo apt-get install libcairo2-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
将会安装下列额外的软件包:
libexpat1-dev libfontconfig1-dev libfreetype6-dev libpixman-1-dev
建议安装的软件包:
libcairo2-doc
下列【新】软件包将被安装:
libcairo2-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev
libpixman-1-dev
共升级了 0 个软件包,新安装了 5 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 2141kB 的软件包。
操作完成后,会消耗掉 7950kB 的额外磁盘空间。
您希望继续执行吗?[Y/n]y
获取:1 http://ubuntu.cn99.com hardy/main libexpat1-dev 2.0.1-0ubuntu1 [138kB]
获取:2 http://ubuntu.cn99.com hardy/main libfreetype6-dev 2.3.5-1ubuntu4 [696kB]
获取:3 http://ubuntu.cn99.com hardy/main libfontconfig1-dev 2.5.0-2ubuntu3 [587kB]
获取:4 http://ubuntu.cn99.com hardy/main libpixman-1-dev 0.10.0-0ubuntu1 [94.0kB]
获取:5 http://ubuntu.cn99.com hardy-updates/main libcairo2-dev 1.6.0-0ubuntu2 [627kB]
下载 2141kB,耗时 10s (211kB/s)
选中了曾被取消选择的软件包 libexpat1-dev。
(正在读取数据库 ... 系统当前总共安装有 136155 个文件和目录。)
正在解压缩 libexpat1-dev (从 .../libexpat1-dev_2.0.1-0ubuntu1_amd64.deb) ...
选中了曾被取消选择的软件包 libfreetype6-dev。
正在解压缩 libfreetype6-dev (从 .../libfreetype6-dev_2.3.5-1ubuntu4_amd64.deb) ...
选中了曾被取消选择的软件包 libfontconfig1-dev。
正在解压缩 libfontconfig1-dev (从 .../libfontconfig1-dev_2.5.0-2ubuntu3_amd64.deb) ...
选中了曾被取消选择的软件包 libpixman-1-dev。
正在解压缩 libpixman-1-dev (从 .../libpixman-1-dev_0.10.0-0ubuntu1_amd64.deb) ...
选中了曾被取消选择的软件包 libcairo2-dev。
正在解压缩 libcairo2-dev (从 .../libcairo2-dev_1.6.0-0ubuntu2_amd64.deb) ...
正在设置 libexpat1-dev (2.0.1-0ubuntu1) ...

正在设置 libfreetype6-dev (2.3.5-1ubuntu4) ...

正在设置 libfontconfig1-dev (2.5.0-2ubuntu3) ...

正在设置 libpixman-1-dev (0.10.0-0ubuntu1) ...
正在设置 libcairo2-dev (1.6.0-0ubuntu2) ...
piqi@piqi-desktop:~/freewins$ make clean
removing : ./build
piqi@piqi-desktop:~/freewins$ make
convert : freewins.xml.in -> build/freewins.xml
bcop'ing : build/freewins.xml -> build/freewins_options.h
bcop'ing : build/freewins.xml -> build/freewins_options.c
schema : build/freewins.xml -> build/compiz-freewins.schema
compiling : freewins.c -> build/freewins.lo
compiling : paint.c -> build/paint.lo
compiling : action.c -> build/action.lo
compiling : util.c -> build/util.lo
compiling : events.c -> build/events.lo
compiling : input.c -> build/input.lo
compiling : build/freewins_options.c -> build/freewins_options.lo
linking : build/libfreewins.la
piqi@piqi-desktop:~/freewins$ make install
install : /home/piqi/.compiz/plugins/libfreewins.soinstall: 无法创建一般文件 “/home/piqi/.compiz/plugins/libfreewins.so”: Permission denied
make: *** [install] 错误 1
piqi@piqi-desktop:~/freewins$ sudo make install
install : /home/piqi/.compiz/plugins/libfreewins.so
install : /home/piqi/.compiz/metadata/freewins.xml
install : build/compiz-freewins.schema
piqi@piqi-desktop:~/freewins$


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-08-31 20:25 
头像

注册: 2008-06-22 9:47
帖子: 36
地址: 上海
送出感谢: 0 次
接收感谢: 0 次
呵呵 也帮助了我 谢谢啊


_________________
芝士网 zis.cc
轰动网 hod.cc


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译